#ifndef CONNECT_DEVICE_C_H
#define CONNECT_DEVICE_C_H

/*
  通信処理
  Satofumi KAMIMURA
  $Id: connect_device.h 286 2008-10-20 09:40:22Z satofumi $
*/

enum {
  TCP_IP = 1,
  SERIAL = 2,

  SCI_TIMEOUT = 105,		/*!< 受信時のタイムアウト */
  DEVICE_OPEN_ERROR = -2,	/*!< デバイス検出エラー */
  BAUDRATE_ADJUST_ERROR = -3,	/*!< ボーレート設定エラー */
  NO_CONNECT = -4,		/*!< 接続エラー */

  ID_MAX = 32,
  BUFFER_SIZE = 4096,
};


#include "cpp_extern_macro.h"
BEGIN_C_DECLS;

extern int initConnectDevice(const char *devName, int baudrate, int mode);
extern void closeDevice(int id);
extern int device_is_connected(int id);
extern int device_send(int id, const char *data, int length);
extern int device_recv(int id, char *data, int size, int timeout);
extern void device_flush(int id);
extern int device_set_baudrate(int id, long baudrate);

END_C_DECLS;
#endif /* !CONNECT_DEVICE_C_H */
